Bug 1313258 - change severity of some messages related to "keep alive" entries
Summary: change severity of some messages related to "keep alive" entries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.7
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
Petr Bokoc
URL:
Whiteboard:
Depends On:
Blocks: 1314557 1314729
TreeView+ depends on / blocked
 
Reported: 2016-03-01 09:22 UTC by German Parente
Modified: 2016-05-10 19:23 UTC (History)
6 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-74.el6
Doc Type: Bug Fix
Doc Text:
Keep alive entries are used to prevent skipped updates from being evaluated several times in a fractional replication. If a large number of updates is skipped, these entries can be updated very frequently. Before the keep alive entries are updated, it is tested that they exist. Previously, the test was being logged at a "Fatal" log level, so it was always logged no matter which log level had been set. As a consequence, error logs were filled with unnecessary messages. With this update, the log level for keep alive entry creation has been changed from "Fatal" to "Replication debugging" (8192), and the error log file is no longer filled with "Fatal" messages.
Clone Of:
: 1314557 1314729 (view as bug list)
Environment:
Last Closed: 2016-05-10 19:23:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0737 normal SHIPPED_LIVE 389-ds-base bug fix and enhancement update 2016-05-10 22:29:13 UTC

Description German Parente 2016-03-01 09:22:48 UTC
Description of problem:

this is just a clone of 

https://fedorahosted.org/389/ticket/48420
change severity of some messages related to "keep alive" entries

to track the issue in rhel.

Version-Release number of selected component (if applicable): 

389-ds-base-1.2.11.15-68.el6_7.x86_64


The bug is harmless.

Comment 11 Amita Sharma 2016-03-29 12:37:24 UTC
rpm -qa | grep 389
389-ds-base-1.2.11.15-74.el6.x86_64
389-ds-base-libs-1.2.11.15-74.el6.x86_64

 cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.8 Beta (Santiago)


https://bugzilla.redhat.com/show_bug.cgi?id=1314729#c5 is used as steps.

Error logs are clear with normal log level and does give keep alive entry logs while replication logs are ON.

Hence VERIFIED.

Comment 13 errata-xmlrpc 2016-05-10 19:23:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0737.html


Note You need to log in before you can comment on or make changes to this bug.